---
- name: Create and mount loop device
  hosts: build_host:&efi
  vars_files:
    - ../vars/efi.yml
  roles:
    - { role: create_loop_device, tags: create_loop_device }
    - { role: mount_loop, tags: mount_loop }

- name: Create EFI partition
  hosts: build_host:live:&efi
  vars_files:
    - ../vars/efi.yml
  roles:
    - { role: efi, tags: efi }
    - { role: zoox_os_build_metadata, asset_type: efi, tags: zoox_os_build_metadata, when: not is_live_update }

- name: Unmount and gzip image
  hosts: build_host:&efi
  vars_files:
    - ../vars/efi.yml
  roles:
    - { role: unmount_loop, tags: unmount_loop }
    - { role: gzip_image, tags: gzip_image }
